Bug 431891 - Incorrect exit codes from nfs init script
Incorrect exit codes from nfs init script
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks: 474570
  Show dependency treegraph
 
Reported: 2008-02-07 12:37 EST by Ragnar Kjørstad
Modified: 2009-01-20 16:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:01:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ragnar Kjørstad 2008-02-07 12:37:12 EST
Description of problem:

/etc/init.d/nfs start fails (exit with a non-zero exit code) if nfs is already
running.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Add a export entry in /etc/exports
2. Run /etc/init.d/nfs start
3. Run /etc/init.d/nfs start again
  
Actual results:
Starting NFS services:  [  OK  ]
Starting NFS quotas: [  OK  ]
Starting NFS daemon: [FAILED]

Exitcode 1


Expected results:

Exitcode 0

Additional info:

The LSB specification
(http://refspecs.linux-foundation.org/LSB_3.2.0/LSB-Core-generic/LSB-Core-generic/iniscrptact.html)
states that start on an already started service should be considdered success,
and return exit code 0.

It appears this has already been fixed in Fedora. The initscript in
nfs-utils-1.1.0-6.fc8 adheres to LSB.
Comment 1 RHEL Product and Program Management 2008-06-02 16:19:04 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Steve Dickson 2008-09-16 14:41:39 EDT
fixed in nfs-utils-1.0.9-34
Comment 7 errata-xmlrpc 2009-01-20 16:01:34 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0107.html

Note You need to log in before you can comment on or make changes to this bug.